import request from '@/utils/request.js'

// 查询物品领用申请列表
export function listApply(query) {
  return request({
    url: '/material/apply/list',
    method: 'get',
    params: query
  })
}

// 查询物品领用申请详细
export function getApply(applyId) {
  return request({
    url: '/material/apply/' + applyId,
    method: 'get'
  })
}

// 新增物品领用申请
export function addApply(data) {
  return request({
    url: '/material/apply',
    method: 'post',
    data: data
  })
}

// 修改物品领用申请
export function updateApply(data) {
  return request({
    url: '/material/apply',
    method: 'put',
    data: data
  })
}

// 删除物品领用申请
export function delApply(applyId) {
  return request({
    url: '/material/apply/' + applyId,
    method: 'delete'
  })
}
