import request from '@/utils/request.js'

// 查询物品入库信息列表
export function listEntry(query) {
  return request({
    url: '/material/entry/list',
    method: 'get',
    params: query
  })
}

// 查询物品入库信息详细
export function getEntry(entryId) {
  return request({
    url: '/material/entry/' + entryId,
    method: 'get'
  })
}

// 新增物品入库信息
export function addEntry(data) {
  return request({
    url: '/material/entry',
    method: 'post',
    data: data
  })
}

// 修改物品入库信息
export function updateEntry(data) {
  return request({
    url: '/material/entry',
    method: 'put',
    data: data
  })
}

// 删除物品入库信息
export function delEntry(entryId) {
  return request({
    url: '/material/entry/' + entryId,
    method: 'delete'
  })
}
