import request from '@/utils/request.js'

// 查询物品信息列表
export function listMaterial(query) {
  return request({
    url: '/material/material/list',
    method: 'get',
    params: query
  })
}

// 查询物品信息详细
export function getMaterial(materialId) {
  return request({
    url: '/material/material/' + materialId,
    method: 'get'
  })
}

// 新增物品信息
export function addMaterial(data) {
  return request({
    url: '/material/material',
    method: 'post',
    data: data
  })
}

// 修改物品信息
export function updateMaterial(data) {
  return request({
    url: '/material/material',
    method: 'put',
    data: data
  })
}

// 删除物品信息
export function delMaterial(materialId) {
  return request({
    url: '/material/material/' + materialId,
    method: 'delete'
  })
}
